<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<app-connect-node-card title="Congratulations" [showClose]="false">
  <div class="flex flex-col items-center">
    <ng-container *ngIf="node$ | async; let node">
      <ng-container *ngIf="(user$ | async)?.organisation; let org">
        <div class="text-text-300 w-96">You have successfully connected your new Data Broker to organisation:</div>
        <div class="flex items-center gap-4 font-semibold text-lg mt-6">
          <i class="fa fa-house-user" style="font-size: 2rem"></i>
          <div>{{ org.name }}</div>
        </div>
        <div class="text-text-300 w-96 mt-6">Name of the Broker is:</div>
        <div class="flex items-center gap-4 font-semibold text-lg mt-6">
          <i class="fa fa-circle-nodes"></i>
          <div>{{ node.name }}</div>
        </div>
        <div class="text-text-300 w-96 mt-6">And is accessible under the domain:</div>
        <div class="font-semibold text-lg mt-6">{{ node.host }}</div>
      </ng-container>
    </ng-container>
  </div>
  <div class="mt-14 pb-[116px]">
    <p-button label="Start using the Node" (click)="startUsingNode()" [style]="{ width: '200px' }"></p-button>
  </div>
</app-connect-node-card>
